Create a vote on behalf
Understanding how to use FeatureOS API to build custom integrations.
Introduction
This endpoint allows you to create a new upvote on behalf of a user in a specific post.
POST
https://api.featureos.app/api/v3/votes_on_behalf
curl -X POST 'https://api.featureos.app/api/v3/votes_on_behalf' \
-H 'API-KEY: YOUR_API_KEY' \
-H 'Content-Type: application/json'Headers
| Parameter | Default | Description |
|---|---|---|
| API-KEY | - | Generate from organization settings on the admin dashboard. |
| ALLOW-PRIVATE | false | Set to true if filtering out a private board’s posts. |
| Authorization | - | Generate a unique JWT token that is specific to a user |
Body Parameters
| Parameter | Required | Format | Description |
|---|---|---|---|
| feature_request_id | true | Integer | The unique id of the post. |
| by_email | true | String | The email address of the team member performing this action. It should match the JWT Token's email in the Authorization Header. |
| true | String | The email address of the voter. |